// JScript 文件

function TableMouseClick(Url){
	window.location=Url;
}
//用户输入验证
function check(){
		strselect()
		if(document.formname.C_Name.value==""){
			alert("公司名称不能为空！");
			document.formname.C_Name.focus();
			return false;
		}
		if(document.formname.C_ProductsSClas2.value==""){
			alert("请选择主营行业 最少一项以上！");
			return false;
		}
		
		if(document.formname.C_Mode.value==""){
			alert("经营模式不能为空!");
			document.formname.C_Mode.focus();
			return false;
		}
		if(document.formname.C_CEO.value==""){
			alert("法人代表不能为空!");
			document.formname.C_CEO.focus();
			return false;
		}
		if(document.formname.C_Info.value==""){
			alert("公司简介不能为空！");
			document.formname.C_Info.focus();
			return false;
		}
		if(document.formname.M_Name.value==""){
			alert("真实姓名不能为空!");
			document.formname.M_Name.focus();
			return false;
		}
	if(!checkmail(document.formname.M_Email.value)){
		alert("您输入的邮箱不正确！");
		document.formname.M_Email.focus();
		return false;
	}
	if(document.formname.M_Tel.value=="" || isNaN(document.formname.M_Tel.value)){
		alert("国家区号不能为空，且只能为数字！");
		document.formname.M_Tel.focus();
		return false;
	}
	if(document.formname.M_TelB.value=="" || isNaN(document.formname.M_TelB.value)){
		alert("城市区号不能为空，且只能为数字！");
		document.formname.M_TelB.focus();
		return false;
	}
	if(document.formname.M_TelC.value=="" || ((document.formname.M_TelC.value).length<7) || isNaN(document.formname.M_TelC.value)){
		alert("电话号码不正确，只能为数字！\n且必须大于７位！");
		document.formname.M_TelC.focus();
		return false;
	}
	if(document.formname.province.style.display!="none"){
		if(document.formname.province.value==""){
			alert("请选择贵公司所在的地区！");
			return false;
		}
	}
	if(document.formname.city.style.display!="none"){
		if(document.formname.city.value==""){
			alert("请选择贵公司所在的诚市！");
			return false;
		}
	}
	if(document.formname.M_Adder.value==""){
		alert("详细地址不能为空！");
		document.formname.M_Adder.focus();
		return false;
	}
	if(document.formname.M_Zipcode.value==""){
		alert("邮政编码不能为空！");
		document.formname.M_Zipcode.focus();
		return false;
	}
}
function checkmail(email)
{
if (email=="" )
return false;
	invalidChars = " /:"

	if (email == "") {
		return (false);
	}

	for (i=0; i < invalidChars.length; i++) {
		badChar = invalidChars.charAt(i)
		if (email.indexOf(badChar,0) != -1) {
			return (false);
		}
	}

	atPos = email.indexOf("@", 1)
	if (atPos == -1) {
		return (false);
	}
	periodPos = email.indexOf(".", atPos)
	if (periodPos == -1) {
		return (false);
	}

	if (periodPos + 3 > email.length) {
		return (false);
	}

	return (true);
}

function addOption(e1, e2){
    try{
		var len = e2.length;
			if (len<10){
		//var es = e2.options[e2.selectedIndex];
		var e = e1.options[e1.selectedIndex];		
        	e2.options.add(new Option(e.text, e.value));
		}else{
		alert("最多可选择9个类目");
		//break;
		return;
		}
    }
	
		catch(e){}
}

function delOption(e1, e2){
    try{
			e1.options.remove(e1.selectedIndex);
    }   
	catch(e){}
}

function strselect() {
 //var selectedList = gGetElementById('destList');
  for (var i=0;i<document.formname.C_ProductsSClas2.length;i++) {
    document.formname.C_ProductsSClas2[i].selected=true;
  }
}
